# PSF-LoginServer - master - net.psforever.types.ImplantType.RangeMagnifier
PSF - LoginServer - master - net.psforever.types.ImplantType.RangeMagnifier
Keywords: PSF LoginServer master net.psforever.types.ImplantType.RangeMagnifier

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
-  case object ImplantType extends IntEnum[ImplantType] with Product with Serializable
  Definition Classes
    types
- AdvancedRegen
- AudioAmplifier
- DarklightVision
- MeleeBooster
- None
- PersonalShield
- RangeMagnifier
- SecondWind
- SilentRun
- Surge
- Targeting

o

net.psforever.types.ImplantType

# RangeMagnifier

###

#### case object RangeMagnifier extends ImplantType with Product with Serializable

Source
  ImplantType.scala

Linear Supertypes
Serializable, Product, Equals, ImplantType, IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RangeMagnifier
2. Serializable
3. Product
4. Equals
5. ImplantType
6. IntEnumEntry
7. ValueEnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val disabledFor: Set[ExoSuitType.Value]
   Definition Classes
     ImplantType
7.  val effect: Option[packet.game.objectcreate.ImplantEffects.Value]
   Definition Classes
     ImplantType
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val shortcut: Shortcut
    Definition Classes
      ImplantType
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val value: Int
    Definition Classes
      ImplantType → ValueEnumEntry
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ImplantType

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped